#include <stdio.h> 
#include <stdarg.h>
#include <glib.h>
#include <gdk/gdk.h>
#include "log.h"

void log_message(const gchar *_file, const gint _line, const gchar *type, const gchar *msg_format, ...) {
	va_list args;
	va_start(args, msg_format);

	if (type)
        fputs(type, stderr);

	if (_file) 
		fprintf(stderr, "%s, line %d: " , _file, _line);

	vfprintf(stderr, msg_format, args);
	va_end(args);

	fflush(stderr);
}

