#include "support.h"

gchar *get_data_directory() {
	// Caller should g_free() this value
    return g_strdup(PACKAGE_DATA_DIR);
}

gchar *get_image_directory() {
	// Caller should g_free() this value
	return g_strdup(PIXMAPS_DIR);
}

gchar *get_image_path(const gchar *image_name) {
	gchar *path = get_image_directory();
	gchar *fname = g_build_filename(path, image_name, NULL);
	g_free(path);

	// Caller should g_free() this value
	return fname;
}
 
