#ifndef _MEDIA_PROFILES_H
#define _MEDIA_PROFILES_H

#include <stdlib.h>
#include <gtk/gtk.h>
#include <gconf/gconf-client.h>
#include <gst/gst.h>

#include <profiles/gnome-media-profiles.h>

// ComboBox columns
enum 
{
	COL_PROFILE_ID,   // Profile id (invisible)
	COL_PROFILE_TXT,  // Profile name (displayed text)
	N_PROFILE_COLUMNS
};

void media_profiles_init();
void media_profiles_exit();

GtkWidget *media_profiles_create_combobox();
gchar *media_profiles_get_selected_id(GtkWidget *widget);

GMAudioProfile *media_profiles_get_profile(gchar *id);
gchar *media_profiles_get_extension(gchar *id);
gchar *media_profiles_get_pipeline(gchar *id);

#endif

