#ifndef _TIMER_H
#define _TIMER_H

#include <glib.h>
#include <gdk/gdk.h>

typedef struct {
	gfloat hour;
	gfloat min;
	gfloat sec;
	gfloat other; 
	gchar *label; // NULL, "silence", "bytes", "KB", "MB", "GB"
} TimerRec;

typedef struct {
	gchar *txt;
	GSList *lst;
	guint pos;
} LR;

TimerRec parser_timer_str(gchar *txt);

GSList *split_to_tokens(gchar *txt);

void timer_module_init();
void timer_module_exit();

void timer_func_start();
void timer_func_stop();

#endif

